Unable to install init-cli on MacOS

After following the instructions on this page: https://github.com/hyperledger/indy-sdk/tree/master/cli

I am getting the following error when I try to run indy-cli:

dyld: Library not loaded: /Users/jenkins/workspace/indy-sdk_indy-sdk-cd_rc/libindy/target/release/deps/libindy.dylib
  Referenced from: /Users/username/Projects/indy-cli/./indy-cli
  Reason: image not found
Abort trap: 6

As per the instructions, I downloaded libindy, unzipped it and added the “lib” folder to the LIBRARY_PATH environment variable, but it doesn’t seem to have been picked up by indy-cli.

Anyone else have this issue?

On MacOS I had to set several environment variables to complete my dev/build environment:

export LIBRARY_PATH=~/github/indy-sdk/libindy/target/debug/
export LD_LIBRARY_PATH=~/github/indy-sdk/libindy/target/debug/
export LIBINDY_DIR=~/github/indy-sdk/libindy/target/debug/

Try adding one or more of the ones you don’t have and see if that helps.